Loading...
Searching...
No Matches
ref_ptr_list File Reference

Implementation of a list of ref-ptr-managed objects. More...

`#include <l4/cxx/ref_ptr>`
`#include "bits/smart_ptr_list.h"`
Include dependency graph for ref_ptr_list:

Go to the source code of this file.

## Data Structures

struct | cxx::Ref_obj_list_item< T >
| Item for list linked via cxx::Ref_ptr with default refence counting. More...

## Namespaces

namespace | cxx
| Our C++ library.

## Typedefs

template<typename T>
using | cxx::Ref_ptr_list_item = Bits::Smart_ptr_list_item<T, cxx::Ref_ptr<T> >
| Item for list linked with cxx::Ref_ptr.
template<typename T>
using | cxx::Ref_ptr_list = Bits::Smart_ptr_list<Ref_ptr_list_item<T> >
| Single-linked list where elements are connected via a cxx::Ref_ptr.

## Detailed Description

Implementation of a list of ref-ptr-managed objects.

Definition in file ref_ptr_list.